using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VetClinicContracts.BindingModels;
using VetClinicContracts.SearchModels;
using VetClinicContracts.ViewModels;

namespace VetClinicContracts.StoragesContracts
{
	public interface IVisitStorage
	{
		List<VisitViewModel> GetFullList();
		List<VisitViewModel> GetFilteredList(VisitSearchModel model);
		VisitViewModel? GetElement(VisitSearchModel model);
		VisitViewModel? Insert(VisitBindingModel model);
		VisitViewModel? Update(VisitBindingModel model);
		VisitViewModel? Delete(VisitBindingModel model);
	}
}
